package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.goods.model.GoodSpu;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 商品表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-02
 */
public interface IGoodSpuService extends IService<GoodSpu> {
    GoodSpu goodSpu(final String gid);

    String getTemplateIdByGoodsId(String goodsId);

    int getCommodityBySkuId(String skuId);

    int getNftSalesType(String skuId);
}
